Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Need application "Notify-send"

  1. #1

    Default Need application "Notify-send"

    Dota2 uses this application to send desktop notification when you alt-tab out of the game.

    Reported this issue in the DOTA 2 github, the developer closed the issue and suggested to install "notify-send"

    But I can't find this application anywhere except that it seems to be a UBUNTU app?

    Any suggestion would be appreciated.
    openSUSE Leap 15.0

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,086
    Blog Entries
    15

    Default Re: Need application "Notify-send"

    Quote Originally Posted by bonedriven View Post
    Dota2 uses this application to send desktop notification when you alt-tab out of the game.

    Reported this issue in the DOTA 2 github, the developer closed the issue and suggested to install "notify-send"

    But I can't find this application anywhere except that it seems to be a UBUNTU app?

    Any suggestion would be appreciated.
    Hi
    notify-send is a command and part of libnotify-tools, is this installed?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Default Re: Need application "Notify-send"

    Quote Originally Posted by malcolmlewis View Post
    Hi
    notify-send is a command and part of libnotify-tools, is this installed?
    Yes, it is already installed. I can do a command "notify-send whatever", no error shows yet nothing happens.
    openSUSE Leap 15.0

  4. #4
    Join Date
    Mar 2009
    Location
    United States
    Posts
    612

    Default Re: Need application "Notify-send"

    Quote Originally Posted by bonedriven View Post
    Yes, it is already installed. I can do a command "notify-send whatever", no error shows yet nothing happens.
    It works here. http://i.imgur.com/Llkrv34.jpg

  5. #5

    Default Re: Need application "Notify-send"

    Works fine here.

    You're using KDE, right?
    Do you get other system notifications?
    Do you have the notification plasmoid enabled in your system tray?
    Right-click on the small green up-arrow just left of the digital clock and choose "System Tray Settings" to check and enable it if necessary.

    PS, the proof:


  6. #6

    Default Re: Need application "Notify-send"

    Thank you for the replies.

    I just did the last try of installing "notify-osd" and now everything works fine.

    I wonder why it was lacking on my machine but it is installed by default on yours?

    BTW, when I tried to install "notify-osd" it had a conflict with "notification daemon sth". I just said uninstall that daemon thing.

    My machine seems to miss default packages quite a few times already.
    openSUSE Leap 15.0

  7. #7

    Default Re: Need application "Notify-send"

    Quote Originally Posted by bonedriven View Post
    I just did the last try of installing "notify-osd" and now everything works fine.

    I wonder why it was lacking on my machine but it is installed by default on yours?
    No, I don't have notify-osd installed.

    I guess notify-osd now shows notifications on your system instead of KDE?
    Have you tried what I suggested regarding the notifications plasmoid?

    BTW, when I tried to install "notify-osd" it had a conflict with "notification daemon sth". I just said uninstall that daemon thing.
    Well, of course. From "notify-osd"'s package description:
    Code:
    This notification daemon is an alternative to the notification-daemon
    package. It follows the freedesktop notification specification and
    introduces some new policies for streamlining the user-experience by
    discouraging the use of actions and timeouts.
    Maybe something was wrong with your installation of "notification-daemon"?
    Are you using KDE now or GNOME or something else? On KDE you shouldn't need either "notification-daemon" or "notify-osd".

  8. #8

    Default Re: Need application "Notify-send"

    Quote Originally Posted by wolfi323 View Post
    No, I don't have notify-osd installed.

    I guess notify-osd now shows notifications on your system instead of KDE?
    Have you tried what I suggested regarding the notifications plasmoid?


    Well, of course. From "notify-osd"'s package description:
    Code:
    This notification daemon is an alternative to the notification-daemon
    package. It follows the freedesktop notification specification and
    introduces some new policies for streamlining the user-experience by
    discouraging the use of actions and timeouts.
    Maybe something was wrong with your installation of "notification-daemon"?
    Are you using KDE now or GNOME or something else? On KDE you shouldn't need either "notification-daemon" or "notify-osd".
    I am on KDE and the notification plasmoid for the system tray is always enabled. I have never manually installed any notification-daemon either.
    openSUSE Leap 15.0

  9. #9

    Default Re: Need application "Notify-send"

    Quote Originally Posted by bonedriven View Post
    I am on KDE and the notification plasmoid for the system tray is always enabled. I have never manually installed any notification-daemon either.
    Hm. It works here regardless whether I have notification-daemon installed or not. notification-daemon is only required by gnome-fallback-session on my system, so maybe you have installed that as well? That would explain why you had notification-daemon installed.

    If it's working for you now with notify-osd, that's ok I guess.
    If you're satisfied with that and don't want to further investigate why it's not working without it, then please stop reading here and ignore the rest...

    Some thoughts:
    Maybe in your case notification-daemon somehow interfered and it's working now because you uninstalled it? Then it should still work if you uninstall notify-osd again.

    Or you have disabled application notifications in the notifications plasmoid? Right-click on it at choose "Notifications Settings".

    Or maybe your plasma configuration is somehow corrupted and you have another (invisible) notifications plasmoid capturing the notifications.
    To find out if this is the case, you could create a new user and try with that. Or rename the file ~/.kde4/share/config/plasma-desktop-appletrc when plasma is not running, it should then start with a default setup.

  10. #10

    Default Re: Need application "Notify-send"

    Quote Originally Posted by wolfi323 View Post
    Some thoughts:
    Maybe in your case notification-daemon somehow interfered and it's working now because you uninstalled it? Then it should still work if you uninstall notify-osd again.

    Or you have disabled application notifications in the notifications plasmoid? Right-click on it at choose "Notifications Settings".

    Or maybe your plasma configuration is somehow corrupted and you have another (invisible) notifications plasmoid capturing the notifications.
    To find out if this is the case, you could create a new user and try with that. Or rename the file ~/.kde4/share/config/plasma-desktop-appletrc when plasma is not running, it should then start with a default setup.
    I encountered this bug on a new installation of 13.1 with no prior .kde4 folder, and only removing the notification-daemon and installing notify-osd let me get notifications again, so it seems to be a bug with the notification daemon. I only tested it with notify-send and not other apps that use notifications.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •